## pelican 4.8.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Raclette.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Raclette.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Raclette"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Raclette"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pelican 3.2.1

=== debian/changelog ===
pelican (3.2.1-1) unstable; urgency=low

  * Initial packaging (Closes: #702222)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Mar 2013 11:31:08 +0100

=== debian/control ===
Source: pelican
Maintainer: Ondřej Surý <ondrej@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
Standards-Version: 3.9.4

Package: python-pelican
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-argparse | python (>= 2.7)
Description: blog aware, static website generator
 Pelican is a static site generator, written in Python.  It allows you
 to write your weblog entries directly with your editor of choice in
 reStructuredText, Markdown, or AsciiDoc, and generates completely
 static output that is easy to host anywhere.  Pelican includes a
 simple CLI tool to (re)generate the weblog and it is easy to
 interface with DVCSes and web hooks.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://pypi.python.org/packages/source/p/pelican/pelican-(.*)\.tar\.gz

## pelican 3.3

=== debian/changelog ===
pelican (3.3-1) unstable; urgency=medium

  * Team upload.
  * Add myself to Uploaders.
  * New upstream release. (Closes: #725340)
  * Add python-typogrify as dependency.
  * Update Standards version to 3.9.5.
  * Add missing Vcs-* fields in debian/control.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 22 Jan 2014 23:43:44 -0800

pelican (3.2.2-2) unstable; urgency=low

  * Add Homepage to debian/control (Closes: #722352)
  * Move the package under Debian Python Applications Team

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Sep 2013 16:16:04 +0200

pelican (3.2.2-1) unstable; urgency=low

  * New upstream version 3.2.2 (Closes: #711875)
  * Add hard dependency on python-markdown (Closes: #714781)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 13:25:38 +0200

=== debian/control ===
Source: pelican
Section: python
Priority: optional
Maintainer: Debian Python Applications Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>, Vincent Cheng <vcheng@debian.org>
Build-Depends:
 debhelper (>= 7.4.3),
 python-all (>= 2.6.6-3),
 python-setuptools (>= 0.6b3)
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Homepage: http://getpelican.com/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pelican/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pelican/trunk/

Package: python-pelican
Architecture: all
Depends:
 python-argparse | python (>= 2.7),
 python-markdown,
 python-typogrify,
 ${misc:Depends},
 ${python:Depends}
Description: blog aware, static website generator
 Pelican is a static site generator, written in Python.  It allows you
 to write your weblog entries directly with your editor of choice in
 reStructuredText, Markdown, or AsciiDoc, and generates completely
 static output that is easy to host anywhere.  Pelican includes a
 simple CLI tool to (re)generate the weblog and it is easy to
 interface with DVCSes and web hooks.

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pelican/pelican-(.*)\.tar\.gz

## pelican 3.4.0

=== debian/changelog ===
pelican (3.4.0-2) unstable; urgency=medium

  * Fix broken help2man-generated manpages by manually generating them; this
    avoids an unwanted build-dependency on python-pelican itself.
    (Closes: #754612)
  * Remove references to asciidoc support in package description since this
    functionality was moved out of pelican core into a plugin.
    (Closes: #754153)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 04 Aug 2014 01:22:11 -0700

pelican (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 01 Jul 2014 16:51:36 -0700

pelican (3.3-2) unstable; urgency=medium

  * Add dependency on python-pkg-resources. (Closes: #744100)
  * Add python-bs4 and pandoc to Suggests. (Closes: #742435)
  * Generate man pages using help2man.
    - Add build-dependency on help2man.
  * Add lintian override for privacy-breach-google-adsense,
    privacy-breach-piwik, and privacy-breach-twitter. Rationale:
    - These are only sample template files distributed with the default theme
      used by Pelican (notmyidea). None of these are enabled by default, and
      as these HTML files are actually nothing more than jinja snippets,
      opening them in a browser is harmless (no javascript code gets executed).

 -- Vincent Cheng <vcheng@debian.org>  Sun, 20 Apr 2014 02:27:01 -0700

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,16 @@
 Depends:
  python-argparse | python (>= 2.7),
  python-markdown,
- python-typogrify,
+ python-pkg-resources,
  ${misc:Depends},
  ${python:Depends}
+Suggests:
+ pandoc,
+ python-bs4
 Description: blog aware, static website generator
  Pelican is a static site generator, written in Python.  It allows you
  to write your weblog entries directly with your editor of choice in
- reStructuredText, Markdown, or AsciiDoc, and generates completely
- static output that is easy to host anywhere.  Pelican includes a
- simple CLI tool to (re)generate the weblog and it is easy to
- interface with DVCSes and web hooks.
+ reStructuredText or Markdown, and generates completely static output
+ that is easy to host anywhere.  Pelican includes a simple CLI tool to
+ (re)generate the weblog and it is easy to interface with DVCSes and web
+ hooks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_clean:
	dh_clean
	rm -f pelican.egg-info/SOURCES.txt pelican.egg-info/requires.txt

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

generate_manpages:
	# Generate manpages using help2man
	[ -x /usr/bin/pelican ] && help2man -N --no-discard-stderr -n "tool to generate a static blog" /usr/bin/pelican > debian/pelican.1
	[ -x /usr/bin/pelican-import ] && help2man -N --no-discard-stderr -n "import from a feed, Wordpress, or Dotclear files" /usr/bin/pelican-import > debian/pelican-import.1
	[ -x /usr/bin/pelican-quickstart ] && help2man -N --no-discard-stderr -n "kickstart a Pelican blog" /usr/bin/pelican-quickstart > debian/pelican-quickstart.1
	[ -x /usr/bin/pelican-themes ] && help2man -N --no-discard-stderr -n "install themes for Pelican" /usr/bin/pelican-themes > debian/pelican-themes.1

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pelican/pelican-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pelican 3.5.0

=== debian/changelog ===
pelican (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 05 Nov 2014 23:51:52 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 7.4.3),
  python-all (>= 2.6.6-3),
  python-setuptools (>= 0.6b3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://getpelican.com/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pelican/trunk/

## pelican 3.6.3

=== debian/changelog ===
pelican (3.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 14 Aug 2015 23:04:05 -0700

pelican (3.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Change Section field in d/control from python to web. (Closes: #791386)
  * Add dependency “Suggests: pelican-doc” to pelican. (Closes: #791387)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 03 Aug 2015 13:18:50 -0700

pelican (3.6.0-4) unstable; urgency=medium

  * Build pelican reproducibly. (Closes: #790309)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 28 Jun 2015 21:03:35 -0700

pelican (3.6.0-3) unstable; urgency=medium

  * Fix broken package upgrades by declaring Breaks/Replaces on correct
    version. (Closes: #790052)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 27 Jun 2015 01:35:17 -0700

pelican (3.6.0-2) unstable; urgency=medium

  * Rename binary package from python-pelican -> pelican.
  * Build documentation and install into new pelican-doc package. Thanks to
    Federico Ceratto for the patch! (Closes: #754071)
    - Add build-depends on python-sphinx, dh-python, in addition to existing
      python module dependencies for sphinx to build docs from source.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 16 Jun 2015 22:27:08 -0700

pelican (3.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix a datetime comparison error related to time zones. (Closes: #787591)
  * Update debian/watch.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 15 Jun 2015 22:30:19 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,28 @@
 #!/usr/bin/make -f
 
+# Don't ship tests; unused (see below), useless in production, saves ~2MiB and
+# they vary by locale (causing builds to not be reproducible).
+export PYBUILD_AFTER_INSTALL = rm -rf {destdir}/{install_dir}/pelican/tests
+
 %:
-	dh $@ --with python2 --buildsystem=python_distutils
+	dh $@ --with python2,sphinxdoc  --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
-	rm -f pelican.egg-info/SOURCES.txt pelican.egg-info/requires.txt
+	rm -rf pelican.egg-info build/html
+
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs build/html
+	rm -rf build/html/.doctrees
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+	dh_sphinxdoc -ppython-pelican-doc
+endif
+
+override_dh_auto_test:
+	@echo "Tests currently disabled!"
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.rst

=== debian/watch ===
# Use github tarball instead of pypi because the latter is missing docs
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pelican-$1\.tar\.gz/ \
https://github.com/getpelican/pelican/tags .*/v?(\d\S*)\.tar\.(?:gz|bz2|xz)

## pelican 3.7.1

=== debian/changelog ===
pelican (3.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop quickstart_attribute_error.patch; applied upstream.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 11 Jan 2017 00:16:54 -0800

pelican (3.7.0-2) unstable; urgency=medium

  * Update debian/patches/quickstart_attribute_error.patch with upstream fix.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 05 Jan 2017 01:33:02 -0800

pelican (3.7.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #849583)
  * Add debian/patches/quickstart_attribute_error.patch to fix AttributeError
    when invoking pelican-quickstart.
  * Update dependency on python-feedgenerator to >= 1.9.
  * Update Standards version to 3.9.8, no changes required.
  * Update dh compat level to 9.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 02 Jan 2017 12:43:00 -0800

=== debian/control ===
Source: pelican
Section: web
Priority: optional
Maintainer: Debian Python Applications Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>, Vincent Cheng <vcheng@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python-blinker,
 python-dateutil,
 python-docutils,
 python-feedgenerator,
 python-jinja2 (>= 2.7),
 python-pygments,
 python-setuptools (>= 0.6b3),
 python-six (>= 1.4),
 python-sphinx,
 python-tz,
 python-unidecode
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: http://getpelican.com/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pelican/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pelican/trunk/

Package: pelican
Architecture: all
Depends:
 python-argparse | python (>= 2.7),
 python-markdown,
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Suggests:
 pandoc,
 python-bs4,
 pelican-doc
Breaks:
 python-pelican (<< 3.6.0-2~)
Replaces:
 python-pelican (<< 3.6.0-2~)
Description: blog aware, static website generator
 Pelican is a static site generator, written in Python.  It allows you
 to write your weblog entries directly with your editor of choice in
 reStructuredText or Markdown, and generates completely static output
 that is easy to host anywhere.  Pelican includes a simple CLI tool to
 (re)generate the weblog and it is easy to interface with DVCSes and web
 hooks.

Package: pelican-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Suggests:
 pelican
Description: blog aware, static website generator (documentation)
 Pelican is a static site generator, written in Python.  It allows you
 to write your weblog entries directly with your editor of choice in
 reStructuredText or Markdown, and generates completely static output
 that is easy to host anywhere.  Pelican includes a simple CLI tool to
 (re)generate the weblog and it is easy to interface with DVCSes and web
 hooks.
 .
 This package provides documentation for Pelican.

Package: python-pelican
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 pelican,
 ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## pelican 3.7.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python-sphinx,
  python-tz,
  python-unidecode
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 X-Python-Version: >= 2.7
 Homepage: http://getpelican.com/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pelican/trunk/
@@ -70,7 +70,6 @@
 Package: python-pelican
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends:
  pelican,
  ${misc:Depends}

## pelican 3.7.1+dfsg

=== debian/changelog ===
pelican (3.7.1+dfsg-1) unstable; urgency=medium

  * Remove notmyidea theme to avoid shipping non-free files, repacking tarball.
    (Closes: #868047, #868049, #858859)
    - Update debian/copyright and debian/lintian-overrides accordingly.
    - Add debian/patches/default_theme.patch to change default theme to
      "simple".
  * Update Standards version to 4.0.1.
    - Change python-pelican priority due to "extra" being deprecated.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 12 Aug 2017 23:01:00 -0700

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,6 @@
 	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs build/html
 	rm -rf build/html/.doctrees
 
-override_dh_sphinxdoc:
-ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
-	dh_sphinxdoc -ppython-pelican-doc
-endif
-
 override_dh_auto_test:
 	@echo "Tests currently disabled!"
 
@@ -33,3 +28,7 @@
 	[ -x /usr/bin/pelican-import ] && help2man -N --no-discard-stderr -n "import from a feed, Wordpress, or Dotclear files" /usr/bin/pelican-import > debian/pelican-import.1
 	[ -x /usr/bin/pelican-quickstart ] && help2man -N --no-discard-stderr -n "kickstart a Pelican blog" /usr/bin/pelican-quickstart > debian/pelican-quickstart.1
 	[ -x /usr/bin/pelican-themes ] && help2man -N --no-discard-stderr -n "install themes for Pelican" /usr/bin/pelican-themes > debian/pelican-themes.1
+
+get-orig-source:
+	# Remove notmyidea theme due to #868047 and #868049
+	uscan --force-download --download-current-version

## pelican 4.0.1+dfsg

=== debian/changelog ===
pelican (4.0.1+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:04:04 +0100

pelican (4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #913875)
  * Python3. (Closes: #875255)
  * That fixed a FTBFS (Closes: #918447)
  * Added 'pristine-tar = True', related to #918360
  * Removed a debian patch, upstream file not more present
  * Added myself to Uploaders.

 -- Geert Stappers <stappers@debian.org>  Sun, 13 Jan 2019 18:46:23 +0100

pelican (3.7.1+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field

  [ Geert Stappers ]
  * d/control has Salsa in VCS fields. (Closes: #917468)
  * Build depend on python3-feedgenerator

 -- Geert Stappers <stappers@debian.org>  Sat, 05 Jan 2019 15:27:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,38 +3,38 @@
 Priority: optional
 Maintainer: Debian Python Applications Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>, Vincent Cheng <vcheng@debian.org>
+ , Geert Stappers <stappers@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python-all (>= 2.6.6-3),
- python-blinker,
- python-dateutil,
- python-docutils,
- python-feedgenerator,
- python-jinja2 (>= 2.7),
- python-pygments,
- python-setuptools (>= 0.6b3),
- python-six (>= 1.4),
- python-sphinx,
- python-tz,
- python-unidecode
+ python3-all (>= 3.3~),
+ python3-blinker,
+ python3-dateutil,
+ python3-docutils,
+ python3-feedgenerator,
+ python3-jinja2 (>= 2.7),
+ python3-pygments,
+ python3-setuptools (>= 0.6b3),
+ python3-six (>= 1.4),
+ python3-sphinx,
+ python3-tz,
+ python3-unidecode
 Standards-Version: 4.0.1
-X-Python-Version: >= 2.7
 Homepage: http://getpelican.com/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pelican/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pelican/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/pelican.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/pelican
 
 Package: pelican
 Architecture: all
 Depends:
- python-argparse | python (>= 2.7),
- python-markdown,
- python-pkg-resources,
+ python3 (>= 3.3~),
+ python3-markdown,
+ python3-pkg-resources,
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Suggests:
  pandoc,
- python-bs4,
+ python3-bs4,
  pelican-doc
 Breaks:
  python-pelican (<< 3.6.0-2~)
@@ -53,7 +53,7 @@
 Section: doc
 Depends:
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${sphinxdoc:Depends}
 Suggests:
  pelican

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_AFTER_INSTALL = rm -rf {destdir}/{install_dir}/pelican/tests
 
 %:
-	dh $@ --with python2,sphinxdoc  --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
# Use github tarball instead of pypi because the latter is missing docs
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pelican-$1\.tar\.gz/,dversionmangle=s/\+dfsg//g,repacksuffix=+dfsg \
https://github.com/getpelican/pelican/tags .*/v?(\d\S*)\.tar\.(?:gz|bz2|xz)

## pelican 4.7.1+dfsg

=== debian/changelog ===
pelican (4.7.1+dfsg-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:31:58 +0000

pelican (4.7.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Move ${sphinxdoc:Built-Using} to the correct field.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Nov 2021 16:30:08 +0300

pelican (4.7.1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Louis-Philippe Véronneau ]
  * d/control: use the right name for the PAPT.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + pelican-doc: Add Multi-Arch: foreign.

  [ Sebastien CHAVAUX ]
  * Add a manual-page for pelican-plugins
  * BD: python3-rich

  [ Bastian Germann ]
  * New upstream version 4.7.1+dfsg (Closes: #966611, #997376)
  * Fix useless-whatis-entry
  * Fix debian-rules-contains-unnecessary-get-orig-source-target
  * d/copyright: Amend with current info
  * pelican-doc: Use the right Deps
  * Fix doc-base path
  * Drop transitional package (Closes: #940734)

 -- Bastian Germann <bage@debian.org>  Mon, 01 Nov 2021 11:59:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: pelican
 Section: web
 Priority: optional
-Maintainer: Debian Python Applications Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>, Vincent Cheng <vcheng@debian.org>
  , Geert Stappers <stappers@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
  python3-all (>= 3.3~),
  python3-blinker,
@@ -14,15 +14,16 @@
  python3-feedgenerator,
  python3-jinja2 (>= 2.7),
  python3-pygments,
+ python3-rich,
  python3-setuptools (>= 0.6b3),
  python3-six (>= 1.4),
  python3-sphinx,
  python3-tz,
  python3-unidecode
 Standards-Version: 4.0.1
-Homepage: http://getpelican.com/
-Vcs-Git: https://salsa.debian.org/python-team/applications/pelican.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/pelican
+Homepage: https://getpelican.com/
+Vcs-Git: https://salsa.debian.org/python-team/packages/pelican.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pelican
 
 Package: pelican
 Architecture: all
@@ -51,12 +52,14 @@
 Package: pelican-doc
 Architecture: all
 Section: doc
+Built-Using:
+ ${sphinxdoc:Built-Using}
 Depends:
  ${misc:Depends},
- ${python3:Depends},
  ${sphinxdoc:Depends}
 Suggests:
  pelican
+Multi-Arch: foreign
 Description: blog aware, static website generator (documentation)
  Pelican is a static site generator, written in Python.  It allows you
  to write your weblog entries directly with your editor of choice in
@@ -66,12 +69,3 @@
  hooks.
  .
  This package provides documentation for Pelican.
-
-Package: python-pelican
-Architecture: all
-Section: oldlibs
-Depends:
- pelican,
- ${misc:Depends}
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs build/html
+	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bhtml docs build/html
 	rm -rf build/html/.doctrees
 
 override_dh_auto_test:
@@ -28,7 +28,3 @@
 	[ -x /usr/bin/pelican-import ] && help2man -N --no-discard-stderr -n "import from a feed, Wordpress, or Dotclear files" /usr/bin/pelican-import > debian/pelican-import.1
 	[ -x /usr/bin/pelican-quickstart ] && help2man -N --no-discard-stderr -n "kickstart a Pelican blog" /usr/bin/pelican-quickstart > debian/pelican-quickstart.1
 	[ -x /usr/bin/pelican-themes ] && help2man -N --no-discard-stderr -n "install themes for Pelican" /usr/bin/pelican-themes > debian/pelican-themes.1
-
-get-orig-source:
-	# Remove notmyidea theme due to #868047 and #868049
-	uscan --force-download --download-current-version

## pelican 4.8.0+dfsg

=== debian/changelog ===
pelican (4.8.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Remove Do-not-set-html_theme_path.patch. We don't build-depend on
    sphinx-rtd-theme, so the package is built with default theme.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Aug 2023 16:32:32 +0300

pelican (4.8.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to adjust extlinks configuration for Sphinx 5.0+
    (closes: #1042603).
  * Add a patch to load sphinx-rtd-theme via its entry point.
  * Prevent dh_compress from compressing changelog.html.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Aug 2023 10:44:57 +0300

pelican (4.8.0+dfsg-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
  * Update outdated manpages. (Closes: #1012540)
  * Update Standards version to 4.6.2.

  [ Rafael Laboissière ]
  * Make notmyidea theme removable if manually installed. (Closes: #1015212)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all, python3-jinja2,
      python3-setuptools and python3-six.
    + pelican: Drop versioned constraint on python3 in Depends.
    + pelican: Drop versioned constraint on python-pelican in Replaces.
    + pelican: Drop versioned constraint on python-pelican in Breaks.
  * Bump debhelper from old 12 to 13.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 05 Jan 2023 11:49:57 -0800

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.rst
 
+override_dh_compress:
+	dh_compress -Xchangelog.html
+
 generate_manpages:
 	# Generate manpages using help2man
 	[ -x /usr/bin/pelican ] && help2man -N --no-discard-stderr -n "tool to generate a static blog" /usr/bin/pelican > debian/pelican.1

## pelican 4.9.1+dfsg

=== debian/changelog ===
pelican (4.9.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/control: add needed B-D on python3-watchfiles. (Closes: #1057484)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 22 Jan 2024 15:22:43 -0500

pelican (4.9.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: remove python3-pdm and python3-setuptools, those B-D are not
    needed.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 15 Jan 2024 21:16:59 -0500

pelican (4.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dep on furo, python3-pdm, python3-pdm-backend,
      pybuild-plugin-pyproject, python3-sphinxext-opengraph.
    - Drop Adjust-extlinks-configuration-for-Sphinx-5.0.patch, already applied
      upstream.
    - Refresh remaining patches.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 19 Nov 2023 09:49:54 -0800

=== debian/control ===
--- 
+++ 
@@ -2,45 +2,48 @@
 Section: web
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>, Vincent Cheng <vcheng@debian.org>
- , Geert Stappers <stappers@debian.org>
+Uploaders:
+ Ondřej Surý <ondrej@debian.org>,
+ Vincent Cheng <vcheng@debian.org>,
+ Geert Stappers <stappers@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.3~),
+ furo,
+ pybuild-plugin-pyproject,
+ python3-all,
  python3-blinker,
  python3-dateutil,
  python3-docutils,
  python3-feedgenerator,
- python3-jinja2 (>= 2.7),
+ python3-jinja2,
+ python3-pdm-backend,
  python3-pygments,
  python3-rich,
- python3-setuptools (>= 0.6b3),
- python3-six (>= 1.4),
+ python3-six,
  python3-sphinx,
+ python3-sphinxext-opengraph,
  python3-tz,
- python3-unidecode
-Standards-Version: 4.0.1
+ python3-unidecode,
+ python3-watchfiles,
+Standards-Version: 4.6.2
 Homepage: https://getpelican.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pelican.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pelican
+Rules-Requires-Root: no
 
 Package: pelican
 Architecture: all
 Depends:
- python3 (>= 3.3~),
+ python3,
  python3-markdown,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends}
 Suggests:
  pandoc,
- python3-bs4,
- pelican-doc
-Breaks:
- python-pelican (<< 3.6.0-2~)
-Replaces:
- python-pelican (<< 3.6.0-2~)
+ pelican-doc,
+ python3-bs4
 Description: blog aware, static website generator
  Pelican is a static site generator, written in Python.  It allows you
  to write your weblog entries directly with your editor of choice in

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,9 @@
 
 generate_manpages:
 	# Generate manpages using help2man
+	# Sanity check the resulting manfiles, some of the output may be broken
 	[ -x /usr/bin/pelican ] && help2man -N --no-discard-stderr -n "tool to generate a static blog" /usr/bin/pelican > debian/pelican.1
 	[ -x /usr/bin/pelican-import ] && help2man -N --no-discard-stderr -n "import from a feed, Wordpress, or Dotclear files" /usr/bin/pelican-import > debian/pelican-import.1
+	[ -x /usr/bin/pelican-plugins ] && help2man -N --no-discard-stderr -n "manage Pelican plugins" /usr/bin/pelican-plugins > debian/pelican-plugins.1
 	[ -x /usr/bin/pelican-quickstart ] && help2man -N --no-discard-stderr -n "kickstart a Pelican blog" /usr/bin/pelican-quickstart > debian/pelican-quickstart.1
 	[ -x /usr/bin/pelican-themes ] && help2man -N --no-discard-stderr -n "install themes for Pelican" /usr/bin/pelican-themes > debian/pelican-themes.1

=== debian/watch ===
# Use github tarball instead of pypi because the latter is missing docs
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pelican-$1\.tar\.gz/,dversionmangle=s/\+dfsg//g,repacksuffix=+dfsg \
https://github.com/getpelican/pelican/tags .*/v?(\d\S*)\.tar\.(?:gz|bz2|xz)

## pelican 4.10.2+dfsg

=== debian/changelog ===
pelican (4.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Add reproducible-build.patch to make build reproducible (Closes: #1056571)
  * Remove dependency on python3-pkg-resources. (Closes: #1083538)
  * Update Standards version to 4.7.0.
  * Add autopkgtest to test generation of a simple blog using pelican.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 30 Nov 2024 05:14:05 -0800

pelican (4.9.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Remove obsolete python3-six build-dependency
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Aug 2024 18:27:20 +0200

## pelican 4.11.0+dfsg

=== debian/changelog ===
pelican (4.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Drop reproducible-build.patch, applied upstream.
    - Refresh remaining patches.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 16 Jan 2025 09:58:39 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Geert Stappers <stappers@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  furo,
  pybuild-plugin-pyproject,
  python3-all,
@@ -20,13 +20,12 @@
  python3-pdm-backend,
  python3-pygments,
  python3-rich,
- python3-six,
  python3-sphinx,
  python3-sphinxext-opengraph,
  python3-tz,
  python3-unidecode,
  python3-watchfiles,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://getpelican.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pelican.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pelican
@@ -37,7 +36,6 @@
 Depends:
  python3,
  python3-markdown,
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends}
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_AFTER_INSTALL = rm -rf {destdir}/{install_dir}/pelican/tests
 
 %:
-	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
+	dh $@ --with sphinxdoc  --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean

=== debian/tests/control ===
Tests: generate-content
Depends: @, python3-markdown

## pelican hep-1.0.1

=== docs/requirements.txt ===
sphinx
sphinx-autodoc-typehints
sphinx-rtd-theme
